diff --git a/base/debug/profiler.h b/base/debug/profiler.h
index 5f0deadd5d..80c73feb92 100644
--- a/base/debug/profiler.h
+++ b/base/debug/profiler.h
@@ -6,6 +6,7 @@
 #define BASE_DEBUG_PROFILER_H_
 
 #include <stddef.h>
+#include <cstdint>
 
 #include <string>
 
diff --git a/cc/trees/target_property.cc b/cc/trees/target_property.cc
index f6e873a01a..714bd5efed 100644
--- a/cc/trees/target_property.cc
+++ b/cc/trees/target_property.cc
@@ -2,6 +2,8 @@
 // Use of this source code is governed by a BSD-style license that can be
 // found in the LICENSE file.
 
+#include <cstdint>
+
 #include "cc/trees/target_property.h"
 
 #include "ui/gfx/animation/keyframe/target_property.h"
diff --git a/chrome/browser/privacy_budget/encountered_surface_tracker.h b/chrome/browser/privacy_budget/encountered_surface_tracker.h
index 012ca2c595..4dee8cd054 100644
--- a/chrome/browser/privacy_budget/encountered_surface_tracker.h
+++ b/chrome/browser/privacy_budget/encountered_surface_tracker.h
@@ -6,6 +6,7 @@
 #define CHROME_BROWSER_PRIVACY_BUDGET_ENCOUNTERED_SURFACE_TRACKER_H_
 
 #include <map>
+#include <cstdint>
 
 #include "base/containers/flat_set.h"
 
diff --git a/components/autofill/core/browser/autofill_ablation_study.h b/components/autofill/core/browser/autofill_ablation_study.h
index ada8121982..d7d1d42061 100644
--- a/components/autofill/core/browser/autofill_ablation_study.h
+++ b/components/autofill/core/browser/autofill_ablation_study.h
@@ -6,6 +6,7 @@
 #define COMPONENTS_AUTOFILL_CORE_BROWSER_AUTOFILL_ABLATION_STUDY_H_
 
 #include <string>
+#include <cstdint>
 
 class GURL;
 namespace base {
diff --git a/components/crash/core/app/crash_reporter_client.h b/components/crash/core/app/crash_reporter_client.h
index 9f8f20dfa6..6e9819c315 100644
--- a/components/crash/core/app/crash_reporter_client.h
+++ b/components/crash/core/app/crash_reporter_client.h
@@ -6,6 +6,7 @@
 #define COMPONENTS_CRASH_CORE_APP_CRASH_REPORTER_CLIENT_H_
 
 #include <string>
+#include <cstdint>
 
 #include "build/build_config.h"
 
diff --git a/components/feature_engagement/internal/event_storage_validator.h b/components/feature_engagement/internal/event_storage_validator.h
index 647a359ee2..ca6df27bdf 100644
--- a/components/feature_engagement/internal/event_storage_validator.h
+++ b/components/feature_engagement/internal/event_storage_validator.h
@@ -6,6 +6,7 @@
 #define COMPONENTS_FEATURE_ENGAGEMENT_INTERNAL_EVENT_STORAGE_VALIDATOR_H_
 
 #include <string>
+#include <cstdint>
 
 namespace feature_engagement {
 
diff --git a/components/metrics/psi_memory_parser.h b/components/metrics/psi_memory_parser.h
index b8b22f4ab7..3d7ec9ca63 100644
--- a/components/metrics/psi_memory_parser.h
+++ b/components/metrics/psi_memory_parser.h
@@ -5,6 +5,8 @@
 #ifndef COMPONENTS_METRICS_PSI_MEMORY_PARSER_H_
 #define COMPONENTS_METRICS_PSI_MEMORY_PARSER_H_
 
+#include <cstdint>
+
 #include <string>
 
 #include "base/gtest_prod_util.h"
diff --git a/components/omnibox/browser/on_device_head_model.h b/components/omnibox/browser/on_device_head_model.h
index d51277918c..d7dc814bbd 100644
--- a/components/omnibox/browser/on_device_head_model.h
+++ b/components/omnibox/browser/on_device_head_model.h
@@ -8,6 +8,7 @@
 #include <string>
 #include <utility>
 #include <vector>
+#include <cstdint>
 
 // On device head suggest feature uses an on device model which encodes some
 // top queries into a radix tree (https://en.wikipedia.org/wiki/Radix_tree), to
diff --git a/components/password_manager/core/browser/generation/password_generator.h b/components/password_manager/core/browser/generation/password_generator.h
index b0d621ce35..b43e8cb135 100644
--- a/components/password_manager/core/browser/generation/password_generator.h
+++ b/components/password_manager/core/browser/generation/password_generator.h
@@ -6,6 +6,7 @@
 #define COMPONENTS_PASSWORD_MANAGER_CORE_BROWSER_GENERATION_PASSWORD_GENERATOR_H_
 
 #include <string>
+#include <cstdint>
 
 
 namespace autofill {
diff --git a/components/payments/content/utility/fingerprint_parser.h b/components/payments/content/utility/fingerprint_parser.h
index e798305651..630c41007c 100644
--- a/components/payments/content/utility/fingerprint_parser.h
+++ b/components/payments/content/utility/fingerprint_parser.h
@@ -9,6 +9,7 @@
 
 #include <string>
 #include <vector>
+#include <cstdint>
 
 namespace payments {
 
diff --git a/components/viz/common/view_transition_element_resource_id.h b/components/viz/common/view_transition_element_resource_id.h
index fd0d06b16d..75e073010b 100644
--- a/components/viz/common/view_transition_element_resource_id.h
+++ b/components/viz/common/view_transition_element_resource_id.h
@@ -7,6 +7,7 @@
 
 #include <string>
 #include <vector>
+#include <cstdint>
 
 #include "components/viz/common/viz_common_export.h"
 
diff --git a/content/public/browser/browsing_data_remover_delegate.h b/content/public/browser/browsing_data_remover_delegate.h
index 0821cbd91d..3f90a2484c 100644
--- a/content/public/browser/browsing_data_remover_delegate.h
+++ b/content/public/browser/browsing_data_remover_delegate.h
@@ -5,6 +5,7 @@
 #ifndef CONTENT_PUBLIC_BROWSER_BROWSING_DATA_REMOVER_DELEGATE_H_
 #define CONTENT_PUBLIC_BROWSER_BROWSING_DATA_REMOVER_DELEGATE_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 #include "base/functional/callback_forward.h"
diff --git a/device/base/synchronization/one_writer_seqlock.h b/device/base/synchronization/one_writer_seqlock.h
index 528b6683ca..e37a16b81b 100644
--- a/device/base/synchronization/one_writer_seqlock.h
+++ b/device/base/synchronization/one_writer_seqlock.h
@@ -6,6 +6,7 @@
 #define DEVICE_BASE_SYNCHRONIZATION_ONE_WRITER_SEQLOCK_H_
 
 #include <atomic>
+#include <cstdint>
 #include <type_traits>
 
 #include "base/atomicops.h"
diff --git a/device/bluetooth/public/cpp/bluetooth_uuid.h b/device/bluetooth/public/cpp/bluetooth_uuid.h
index b4bedf0157..d636ba62e2 100644
--- a/device/bluetooth/public/cpp/bluetooth_uuid.h
+++ b/device/bluetooth/public/cpp/bluetooth_uuid.h
@@ -5,6 +5,7 @@
 #ifndef DEVICE_BLUETOOTH_PUBLIC_CPP_BLUETOOTH_UUID_H_
 #define DEVICE_BLUETOOTH_PUBLIC_CPP_BLUETOOTH_UUID_H_
 
+#include <cstdint>
 #include <ostream>
 #include <string>
 #include <vector>
diff --git a/extensions/common/constants.h b/extensions/common/constants.h
index 9c926df286..d687c7ce23 100644
--- a/extensions/common/constants.h
+++ b/extensions/common/constants.h
@@ -5,6 +5,8 @@
 #ifndef EXTENSIONS_COMMON_CONSTANTS_H_
 #define EXTENSIONS_COMMON_CONSTANTS_H_
 
+#include <cstdint>
+
 #include "base/files/file_path.h"
 #include "base/strings/string_piece_forward.h"
 #include "build/chromeos_buildflags.h"
diff --git a/extensions/renderer/bindings/api_invocation_errors.h b/extensions/renderer/bindings/api_invocation_errors.h
index e21700ecfc..3b704e83b0 100644
--- a/extensions/renderer/bindings/api_invocation_errors.h
+++ b/extensions/renderer/bindings/api_invocation_errors.h
@@ -5,6 +5,7 @@
 #ifndef EXTENSIONS_RENDERER_BINDINGS_API_INVOCATION_ERRORS_H_
 #define EXTENSIONS_RENDERER_BINDINGS_API_INVOCATION_ERRORS_H_
 
+#include <cstdint>
 #include <set>
 #include <string>
 
diff --git a/gpu/config/gpu_feature_info.h b/gpu/config/gpu_feature_info.h
index 1a7028e471..b9e951c0a4 100644
--- a/gpu/config/gpu_feature_info.h
+++ b/gpu/config/gpu_feature_info.h
@@ -5,6 +5,7 @@
 #ifndef GPU_CONFIG_GPU_FEATURE_INFO_H_
 #define GPU_CONFIG_GPU_FEATURE_INFO_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/net/base/parse_number.h b/net/base/parse_number.h
index 7668bb2f8b..091649590e 100644
--- a/net/base/parse_number.h
+++ b/net/base/parse_number.h
@@ -5,6 +5,8 @@
 #ifndef NET_BASE_PARSE_NUMBER_H_
 #define NET_BASE_PARSE_NUMBER_H_
 
+#include <cstdint>
+
 #include "base/strings/string_piece.h"
 #include "net/base/net_export.h"
 
diff --git a/net/cert/pki/string_util.h b/net/cert/pki/string_util.h
index 1687b08860..3280fe350f 100644
--- a/net/cert/pki/string_util.h
+++ b/net/cert/pki/string_util.h
@@ -9,6 +9,7 @@
 
 #include <string_view>
 #include <vector>
+#include <cstdint>
 
 namespace net::string_util {
 
diff --git a/net/cookies/cookie_inclusion_status.h b/net/cookies/cookie_inclusion_status.h
index 51fb970be7..e8dd6d8d9f 100644
--- a/net/cookies/cookie_inclusion_status.h
+++ b/net/cookies/cookie_inclusion_status.h
@@ -6,6 +6,7 @@
 #define NET_COOKIES_COOKIE_INCLUSION_STATUS_H_
 
 #include <bitset>
+#include <cstdint>
 #include <ostream>
 #include <string>
 #include <vector>
diff --git a/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h b/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
index 6a300ed0c0..3e30f1cb02 100644
--- a/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
+++ b/net/third_party/quiche/src/quiche/quic/core/crypto/quic_hkdf.h
@@ -5,6 +5,7 @@
 #ifndef QUICHE_QUIC_CORE_CRYPTO_QUIC_HKDF_H_
 #define QUICHE_QUIC_CORE_CRYPTO_QUIC_HKDF_H_
 
+#include <cstdint>
 #include <vector>
 
 #include "absl/strings/string_view.h"
diff --git a/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h b/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
index 499434950f..b4e25fec0d 100644
--- a/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
+++ b/net/third_party/quiche/src/quiche/quic/core/quic_connection_id.h
@@ -5,6 +5,7 @@
 #ifndef QUICHE_QUIC_CORE_QUIC_CONNECTION_ID_H_
 #define QUICHE_QUIC_CORE_QUIC_CONNECTION_ID_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/pdf/document_attachment_info.h b/pdf/document_attachment_info.h
index e0fffc2ca4..095463fcb5 100644
--- a/pdf/document_attachment_info.h
+++ b/pdf/document_attachment_info.h
@@ -5,6 +5,7 @@
 #ifndef PDF_DOCUMENT_ATTACHMENT_INFO_H_
 #define PDF_DOCUMENT_ATTACHMENT_INFO_H_
 
+#include <cstdint>
 #include <string>
 
 
diff --git a/sandbox/linux/syscall_broker/broker_file_permission.h b/sandbox/linux/syscall_broker/broker_file_permission.h
index 8878f565ae..cc06359eb8 100644
--- a/sandbox/linux/syscall_broker/broker_file_permission.h
+++ b/sandbox/linux/syscall_broker/broker_file_permission.h
@@ -6,6 +6,7 @@
 #define SANDBOX_LINUX_SYSCALL_BROKER_BROKER_FILE_PERMISSION_H_
 
 #include <bitset>
+#include <cstdint>
 #include <string>
 
 #include "base/strings/string_piece.h"
diff --git a/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h b/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
index 7a74887af9..058870eef3 100644
--- a/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
+++ b/third_party/blink/public/common/bluetooth/web_bluetooth_device_id.h
@@ -6,6 +6,7 @@
 #define THIRD_PARTY_BLINK_PUBLIC_COMMON_BLUETOOTH_WEB_BLUETOOTH_DEVICE_ID_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "third_party/blink/public/common/common_export.h"
diff --git a/third_party/blink/public/common/interest_group/auction_config.h b/third_party/blink/public/common/interest_group/auction_config.h
index a5f584b11c..4dea2527b3 100644
--- a/third_party/blink/public/common/interest_group/auction_config.h
+++ b/third_party/blink/public/common/interest_group/auction_config.h
@@ -7,6 +7,7 @@
 
 #include <stdint.h>
 
+#include <cstdint>
 #include <limits>
 #include <string>
 #include <vector>
diff --git a/third_party/blink/public/common/origin_trials/origin_trial_public_key.h b/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
index c1b5f59f57..246200991a 100644
--- a/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
+++ b/third_party/blink/public/common/origin_trials/origin_trial_public_key.h
@@ -6,6 +6,7 @@
 #define THIRD_PARTY_BLINK_PUBLIC_COMMON_ORIGIN_TRIALS_ORIGIN_TRIAL_PUBLIC_KEY_H_
 
 #include <array>
+#include <cstdint>
 
 namespace blink {
 
diff --git a/third_party/dawn/src/dawn/native/stream/ByteVectorSink.h b/third_party/dawn/src/dawn/native/stream/ByteVectorSink.h
index 3b6016c082..5ecc16a740 100644
--- a/third_party/dawn/src/dawn/native/stream/ByteVectorSink.h
+++ b/third_party/dawn/src/dawn/native/stream/ByteVectorSink.h
@@ -17,6 +17,7 @@
 
 #include <ostream>
 #include <vector>
+#include <cstdint>
 
 #include "dawn/native/stream/Sink.h"
 
diff --git a/third_party/maldoca/src/maldoca/ole/header.h b/third_party/maldoca/src/maldoca/ole/header.h
index 174f704cc3..c4d56653a3 100644
--- a/third_party/maldoca/src/maldoca/ole/header.h
+++ b/third_party/maldoca/src/maldoca/ole/header.h
@@ -43,6 +43,8 @@
 #ifndef MALDOCA_OLE_HEADER_H_
 #define MALDOCA_OLE_HEADER_H_
 
+#include <cstdint>
+
 #include "absl/strings/string_view.h"
 
 namespace maldoca {
diff --git a/third_party/openscreen/src/discovery/dnssd/public/dns_sd_txt_record.h b/third_party/openscreen/src/discovery/dnssd/public/dns_sd_txt_record.h
index edf2c782f0..c634104be0 100644
--- a/third_party/openscreen/src/discovery/dnssd/public/dns_sd_txt_record.h
+++ b/third_party/openscreen/src/discovery/dnssd/public/dns_sd_txt_record.h
@@ -10,6 +10,7 @@
 #include <set>
 #include <string>
 #include <vector>
+#include <cstdint>
 
 #include "platform/base/error.h"
 
diff --git a/third_party/openscreen/src/util/base64.h b/third_party/openscreen/src/util/base64.h
index a7af9ecaa2..b8c8c60d20 100644
--- a/third_party/openscreen/src/util/base64.h
+++ b/third_party/openscreen/src/util/base64.h
@@ -7,6 +7,7 @@
 
 #include <string>
 #include <vector>
+#include <cstdint>
 
 #include "absl/strings/string_view.h"
 #include "absl/types/span.h"
diff --git a/third_party/pdfium/constants/annotation_flags.h b/third_party/pdfium/constants/annotation_flags.h
index 2ac244e063..fa121de649 100644
--- a/third_party/pdfium/constants/annotation_flags.h
+++ b/third_party/pdfium/constants/annotation_flags.h
@@ -5,6 +5,8 @@
 #ifndef CONSTANTS_ANNOTATION_FLAGS_H_
 #define CONSTANTS_ANNOTATION_FLAGS_H_
 
+#include <cstdint>
+
 namespace pdfium {
 namespace annotation_flags {
 
diff --git a/third_party/perfetto/include/perfetto/ext/base/uuid.h b/third_party/perfetto/include/perfetto/ext/base/uuid.h
index a23be40a6b..3b3d5d5ade 100644
--- a/third_party/perfetto/include/perfetto/ext/base/uuid.h
+++ b/third_party/perfetto/include/perfetto/ext/base/uuid.h
@@ -18,6 +18,7 @@
 #define INCLUDE_PERFETTO_EXT_BASE_UUID_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "perfetto/ext/base/optional.h"
diff --git a/third_party/ruy/src/ruy/profiler/instrumentation.h b/third_party/ruy/src/ruy/profiler/instrumentation.h
index c4df1e68fb..d89cfb1dfe 100644
--- a/third_party/ruy/src/ruy/profiler/instrumentation.h
+++ b/third_party/ruy/src/ruy/profiler/instrumentation.h
@@ -20,6 +20,7 @@ limitations under the License.
 #include <cstdio>
 #include <mutex>
 #include <vector>
+#include <string>
 #endif
 
 namespace ruy {
diff --git a/third_party/s2cellid/src/s2/util/math/vector.h b/third_party/s2cellid/src/s2/util/math/vector.h
index ded669c1d7..43396b205e 100644
--- a/third_party/s2cellid/src/s2/util/math/vector.h
+++ b/third_party/s2cellid/src/s2/util/math/vector.h
@@ -27,6 +27,7 @@
 #include <iostream>  // NOLINT(readability/streams)
 #include <limits>
 #include <type_traits>
+#include <cstdint>
 
 #include "base/check_op.h"
 
diff --git a/third_party/swiftshader/src/System/LRUCache.hpp b/third_party/swiftshader/src/System/LRUCache.hpp
index 1c24490644..34c3a40842 100644
--- a/third_party/swiftshader/src/System/LRUCache.hpp
+++ b/third_party/swiftshader/src/System/LRUCache.hpp
@@ -21,6 +21,7 @@
 #include <functional>
 #include <unordered_set>
 #include <vector>
+#include <cstdint>
 
 namespace sw {
 
diff --git a/third_party/tflite/src/tensorflow/lite/kernels/internal/spectrogram.cc b/third_party/tflite/src/tensorflow/lite/kernels/internal/spectrogram.cc
index a832962a38..3ee2d036dd 100644
--- a/third_party/tflite/src/tensorflow/lite/kernels/internal/spectrogram.cc
+++ b/third_party/tflite/src/tensorflow/lite/kernels/internal/spectrogram.cc
@@ -17,6 +17,7 @@ limitations under the License.
 
 #include <assert.h>
 #include <math.h>
+#include <cstdint>
 
 #include "third_party/fft2d/fft.h"
 
diff --git a/third_party/webrtc/rtc_base/third_party/base64/base64.h b/third_party/webrtc/rtc_base/third_party/base64/base64.h
index 4190a79dc0..5a9285f007 100644
--- a/third_party/webrtc/rtc_base/third_party/base64/base64.h
+++ b/third_party/webrtc/rtc_base/third_party/base64/base64.h
@@ -12,6 +12,7 @@
 #ifndef RTC_BASE_THIRD_PARTY_BASE64_BASE64_H_
 #define RTC_BASE_THIRD_PARTY_BASE64_BASE64_H_
 
+#include <cstdint>
 #include <string>
 #include <vector>
 
diff --git a/ui/base/prediction/kalman_filter.h b/ui/base/prediction/kalman_filter.h
index bee3f946e9..f7c8716ca3 100644
--- a/ui/base/prediction/kalman_filter.h
+++ b/ui/base/prediction/kalman_filter.h
@@ -5,6 +5,8 @@
 #ifndef UI_BASE_PREDICTION_KALMAN_FILTER_H_
 #define UI_BASE_PREDICTION_KALMAN_FILTER_H_
 
+#include <cstdint>
+
 #include "base/component_export.h"
 #include "ui/gfx/geometry/matrix3_f.h"
 
diff --git a/ui/events/types/scroll_types.h b/ui/events/types/scroll_types.h
index be6b2779f4..dbe2e5cf74 100644
--- a/ui/events/types/scroll_types.h
+++ b/ui/events/types/scroll_types.h
@@ -5,6 +5,8 @@
 #ifndef UI_EVENTS_TYPES_SCROLL_TYPES_H_
 #define UI_EVENTS_TYPES_SCROLL_TYPES_H_
 
+#include <cstdint>
+
 namespace ui {
 
 enum class ScrollGranularity : uint8_t {
diff --git a/ui/gfx/geometry/linear_gradient.h b/ui/gfx/geometry/linear_gradient.h
index 65cd4cb07c..ab0ce5808c 100644
--- a/ui/gfx/geometry/linear_gradient.h
+++ b/ui/gfx/geometry/linear_gradient.h
@@ -6,6 +6,7 @@
 #define UI_GFX_LINEAR_GRADIENT_H_
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "ui/gfx/geometry/geometry_skia_export.h"

--- a/third_party/vulkan_memory_allocator/include/vk_mem_alloc.h	2023-03-07 07:23:14.694496200 +0000
+++ b/third_party/vulkan_memory_allocator/include/vk_mem_alloc-v2.h	2023-03-20 11:49:41.215132226 +0000
@@ -2392,6 +2392,7 @@
 #include <cstdlib>
 #include <cstring>
 #include <utility>
+#include <cstdio>
 
 #if VMA_RECORDING_ENABLED
     #include <chrono>
 
